Package org.springframework.security.authorization

# Class AuthenticatedReactiveAuthorizationManager<T>

java.lang.Object
org.springframework.security.authorization.AuthenticatedReactiveAuthorizationManager<T>

Type Parameters:
  `T` - The type of object authorization is being performed against. This does not matter since the authorization decision does not use the object.

All Implemented Interfaces:
  `ReactiveAuthorizationManager<T>`

public class AuthenticatedReactiveAuthorizationManager<T> extends Object implements ReactiveAuthorizationManager<T>
A `ReactiveAuthorizationManager` that determines if the current user is authenticated.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`static <T> AuthenticatedReactiveAuthorizationManager<T>`
`authenticated()`
Gets an instance of `AuthenticatedReactiveAuthorizationManager`
`reactor.core.publisher.Mono<AuthorizationDecision>`
`check(reactor.core.publisher.Mono<Authentication> authentication, T object)`
Determines if access is granted for a specific authentication and object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.security.authorization.ReactiveAuthorizationManager

`authorize, verify`

## Method Details

### check

public reactor.core.publisher.Mono<AuthorizationDecision> check(reactor.core.publisher.Mono<Authentication> authentication, T object)
Description copied from interface: `ReactiveAuthorizationManager`
Determines if access is granted for a specific authentication and object.

Specified by:
  `check` in interface `ReactiveAuthorizationManager<T>`
Parameters:
  `authentication` - the Authentication to check
  `object` - the object to check
Returns:
  an decision or empty Mono if no decision could be made.

### authenticated

public static <T> AuthenticatedReactiveAuthorizationManager<T> authenticated()
Gets an instance of `AuthenticatedReactiveAuthorizationManager`

Type Parameters:
  `T` -
Returns: